---
layout: default
title: brave base
parent: CLI
grand_parent: Docs
nav_order: 1
---

# brave base

Pull a base image from LXD Image Server or public Github Bravefile

```
brave base DISTRIBUTION/RELEASE/ARCH
```

## Description

Bravetools can import base images either from LXD Image Server (https://images.linuxcontainers.org) or from Bravefiles stored in public GitHub repositories. This creates an efficient way of leveraging multiple pre-built images to speed up creation of a bespoke system container.

### Pulling from LXD Image server

Clean OS images can be imported into Bravetools directly from LXD Image server:

```bash
brave base alpine/edge/amd64
```

### Pulling from a GiHub repository

Container images can be quite large and downloading their distributions is not efficient. Bravetools has a mechanism to access a remotely-stored Bravefile and build an image directly from it:

```bash
brave base github.com/beringresearch/bravefiles/ubuntu/ubuntu-bionic-py3
```

This will create an Ubuntu 18.04 image with Python3 installation, using a Bravefile located on a [GitHub repository](https://github.com/beringresearch/bravefiles/tree/master/ubuntu/ubuntu-bionic-py3)

### Usage inside a Bravefile
All local images can be utilised inside a Bravefile using the `local` location option:


```yaml
base:
  image: brave-alpine-edge-base-1.0
  location: local
```

## Options

```
  -h, --help   help for base
```

###### Auto generated by spf13/cobra on 23-May-2022
