---
layout: default
title: brave init
parent: CLI
grand_parent: Docs
nav_order: 1
---

# brave init

Create a new Bravetools host

```
brave init
```

## Description

When Bravetools is installed for the first time, it will set up all required components to connect your host to LXD.

`brave init` will:

* Create `~/.bravetools` directory that stores all your local images, configurations, and a live Unit database

On Mac and Windows platforms:

* Create a new Multipass instance of Ubuntu 18.04
* Install snap LXD
* Enable mounting between host and Multipass

On Linux distributions:

* Set up a new LXD profile `$USER`
* Create a new LXD bridge `$USERbr0`
* Create a new storage pool `$USER-TIMESTAMP`

These steps ensure that Bravetools establishes a connection with LXD server and runs a self-contained LXD environment that doesn't interfere with any potentially existing profiles and LXD bridges.

## Options

```
  -c, --config string    Path to the host configuration file [OPTIONAL]
  -h, --help             help for init
  -m, --memory string    Host memory size [OPTIONAL]. default 4GB (default "4GB")
  -n, --network string   Host network IP range [OPTIONAL]. default: 10.0.0.1 (default "10.0.0.1")
  -s, --storage string   Host storage size in GB[OPTIONAL]. default: 12 (default "12")
```

###### Auto generated by spf13/cobra on 23-May-2022
