---
layout: default
title: brave mount
parent: CLI
grand_parent: Docs
nav_order: 1
---

# brave mount

Mount a directory to a Unit

```
brave mount [UNIT:]<source> UNIT:<target>
```

## Description

`brave mount` enables binding of local directories between a host and a running Unit:

```bash
brave mount $PWD/DIR UNITNAME:/PATH/TO/DIR
```

Note that the mount requires a full path to your host directory. The host directory and target directory must have an identical name.

Since Bravetools deploys unprivileged containers, the fact that all uids/gids in an unprivileged container are mapped to a normally unused range on the host means that sharing of data between host and container is effectively impossible. This is circumvented internally by Bravetools by directly mapping your host uid/gid to a Bravetools Unit through `lxc config set test raw.idmap`. This enables users to read/write bound volumes inside an unprivileged container.

## Options

```
  -h, --help   help for mount
```

###### Auto generated by spf13/cobra on 23-May-2022
